de.dhbwstuttgart.typeinference.assumptions

## Class MethodAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.FieldAssumption
    - - de.dhbwstuttgart.typeinference.assumptions.MethodAssumption

Direct Known Subclasses:
  ConstructorAssumption

    public class MethodAssumption
    extends FieldAssumption

### Field Summary

Fields
`protected Method` `method`
`private Class` `parentClass`

### Constructor Summary

Constructors
Constructor and Description
`MethodAssumption(Method assumedMethod, Class parentClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`protected Method` `getMethod()`
`java.lang.String` `getMethodName()`
`int` `getParaCount()`
`Type` `getParameterType(int i)` Liefert den Typ des i-ten Parameters dieser Method-Assumption
`Type` `getParentClassType()`
`java.lang.String` `toString()`

### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.FieldAssumption

`getIdentifier, getParentClass`

### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.Assumption

`getAssumedType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### method

    protected Method method

#### parentClass

    private Class parentClass

### Constructor Detail

#### MethodAssumption

    public MethodAssumption(Method assumedMethod,
                            Class parentClass)

### Method Detail

#### getMethodName

    public java.lang.String getMethodName()

#### getParaCount

    public int getParaCount()

#### getMethod

    protected Method getMethod()

#### getParameterType

    public Type getParameterType(int i)

Liefert den Typ des i-ten Parameters dieser Method-Assumption

Parameters:
  `i` -
Returns:

#### getParentClassType

    public Type getParentClassType()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FieldAssumption`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `FieldAssumption`